<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMITEMROUTEditView9Base from './emitemroutedit-view9-base.vue';

import view_form from '@widgets/emitem-rout/main2-form/main2-form.vue';

/**
 * 退货单信息
 *
 * @export
 * @class EMITEMROUTEditView9
 * @extends {EMITEMROUTEditView9Base}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMITEMROUTEditView9 extends EMITEMROUTEditView9Base { }
</script>